> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Walmart Products

> Scrape Walmart product details — price, ratings, seller, availability — from search, category, or product URLs.

`$1 / 1k products`

Scrape Walmart product details — price, ratings, seller, availability — from search, category, or product URLs.

## Endpoint

`POST /api/v1/agents/walmart/products/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · Walmart category, search, or product URLs. One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Products to scrape per starting URL. Use 0 for all.
</ParamField>

## Response columns

| Field          | Display name | Type   |
| -------------- | ------------ | ------ |
| `url`          | URL          | url    |
| `productName`  | Product Name | text   |
| `brand`        | Brand        | text   |
| `price`        | Price        | text   |
| `wasPrice`     | Was Price    | text   |
| `rating`       | Rating       | rating |
| `reviews`      | Reviews      | number |
| `seller`       | Seller       | text   |
| `availability` | Availability | text   |
| `description`  | Description  | text   |
| `thumbnail`    | Thumbnail    | url    |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/walmart/products/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        "https://www.walmart.com/search?q=wireless+earbuds"
      ],
      "maxResults": 50
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/walmart/products/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          "https://www.walmart.com/search?q=wireless+earbuds"
      ],
      "maxResults": 50
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "url": "https://www.walmart.com/ip/JLab-Go-Air-Pop-True-Wireless-Earbuds-w-Charging-Case-Black/631193073",
      "productName": "JLab Go Air Pop Bluetooth Earbuds, True Wireless with Charging Case",
      "brand": "JLab",
      "price": "$24.88",
      "wasPrice": "$29.38",
      "rating": 4.5,
      "reviews": 37608,
      "seller": "Walmart.com",
      "availability": "IN_STOCK",
      "description": "GO Air POP are perfectly pocket-sized with a powerful punch. With 32+ hours of total playtime and our smallest fit ever, the slim case GOes wherever you go. POP it open to auto connect to your device to talk, take calls and enjoy life on-the-GO.<br><br>Tech Details:<br>* 3 EQ Sound Settings<br>* Tune your preferred sound with 3 different settings<br>** JLab Signature: Best all around option<br>** Balanced: Podcasts, Audiobooks and classical music<br>** Bass Boost: Workouts, sports and fitness use<br>* Touch Controls<br>* Volume and track controls<br>* Play/ Pause<br>* Answer Calls<br>* Activate Smart Assistant<br><br>LONG BATTERY LIFE<br>* 32+ hours of total play time (8+ hours of playtime in each earbud, 24+ hours of extra playtime from the charging case)<br>* Integrated USB cable for worry free charging<br><br>DUAL CONNECT<br>* Use either earbud independently or together<br>* Built in MEMS microphone for clear calls<br><br>15% SMALLER FIT<br>* 15% smaller earbuds and 40% lighter case<br>* JLab's smallest earbuds yet<br>* Case fits easily in your pocket<br>* Includes three tip sizes to ensure a good fit<br><br>3 EQ SOUND SETTINGS<br>* Tune your perferred sound with 3 different settings<br>** JLab Signature: Best all around option<br>** Balanced: Podcasts, Audiobooks and classical music<br>** Bass Boost: Workouts, sports and fitness use<br><br>TOUCH CONTROLS<br>* Volume and track controls<br>* Play/ Pause<br>* Answer Calls<br>* Activate Smart Assistant",
      "thumbnail": "https://i5.walmartimages.com/seo/JLab-Go-Air-Pop-True-Wireless-Earbuds-w-Charging-Case-Black_7766c8d7-7d73-48c6-ac09-faac88b01b07.39c4aa643a1d8129cffe738ea1c10ee9.jpeg"
    }
  ]
}
```
